Bug 45204 - "Bad swap file entry 00000020" while running newburn version 9-19
"Bad swap file entry 00000020" while running newburn version 9-19
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-20 16:28 EDT by Matt Domsch
Modified: 2007-04-18 12:33 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-10 10:32:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Errors in /var/log/messages (42.94 KB, text/plain)
2001-07-19 14:38 EDT, Clay Cooper
no flags Details

  None (edit)
Description Matt Domsch 2001-06-20 16:28:56 EDT
Description of Problem:
After 3 days and 19 hours of running newburn (cerberus) version 9-19 on a 
Dell PowerEdge 7150 w/ seawolf gold ia64 installed, w/ bios A01, 2GB of 
ram, 512MB of swap.

"Bad swap file entry 00000020" appeared repeatedly at the console and in 
dmesg.  Newburn logs showed that newburn continued to run despite the 
error.


How Reproducible:
Haven't yet.
Comment 1 Glen Foster 2001-07-13 18:20:56 EDT
This defect considered SHOULD-FIX for Fairfax gold-release.
Comment 2 Clay Cooper 2001-07-19 14:38:27 EDT
Created attachment 24188 [details]
Errors in /var/log/messages
Comment 3 Clay Cooper 2001-07-19 14:44:28 EDT
Errors messages now reproduced in fairfax beta2 ia64 on a pe7150 w/ 2GB ram, 4GB
swap, booting from onboard qlogic scsi controller, running newburn version 9-20.
Error messages begin within an hour of starting newburn. Errors no longer appear
at console but are found in /var/log/messages.

Attached is portion of /var/log/messages containing bootup, start of cerberus,
and first appearance of errors.
Comment 4 Clay Cooper 2001-08-03 15:51:26 EDT
Reproduced in beta3 on a 7150 w/ bios X15, 2GB ram, 2GB swap.

Testing on 2.4.7-0.3 in progress...
Comment 5 Arjan van de Ven 2001-08-03 16:00:58 EDT
Is this with eepro100 or e100 ?
Comment 6 Arjan van de Ven 2001-08-07 16:43:01 EDT
We found a bug today that could explain weird things on ia64 under high load.
Fix will be in kernels 2.4.7-0.11 and later.
Comment 7 Bill Nottingham 2001-08-09 11:42:13 EDT
Can you test this on 0.11 or later when it becomes available?
Comment 8 Clay Cooper 2001-08-13 11:16:06 EDT
With Beta3 kernel 2.4.7-0.12.0 on IA64, 2GB ram, 2GB swap, onboard scsi
controller running cerberus 9-20.

"Bad swap file entry 00000020" errors now appearing in the DMESG cerberus log in
/usr/bin/ctcs/.newburn*.  File contains hundreds of them.
Comment 9 Ben LaHaise 2001-08-13 11:33:32 EDT
Is this an SMP or non-SMP kernel?
Comment 10 Matt Domsch 2001-08-21 14:16:24 EDT
SMP
Comment 11 Bill Nottingham 2001-09-20 15:59:55 EDT
This should be fixed in 2.4.7-6.1 or later. Does that work for you?
Comment 12 Bill Nottingham 2001-09-20 16:00:50 EDT
Whoops, disregard that last comment.
Comment 13 Clay Cooper 2001-10-10 10:32:08 EDT
"Bad swap file" error not appearing at console or in /var/log/messages running
kernel 2.4.9-0.18smp w/ 2GB ram after 24 hours of newburn.  Will continue to
monitor.

Note You need to log in before you can comment on or make changes to this bug.